# $Revision: 1.61.2.6 $, $Date: 2005/09/03 13:20:58 $
Summary:	LDAP Pluggable Authentication Module
Summary(es):	Mdulo de autenticacin que puede conectarse (PAM) para LDAP
Summary(pl):	Modu PAM do uwierzytelniania z uyciem LDAP
Summary(pt_BR):	Mdulo de autenticao plugvel (PAM) para o LDAP
Name:		pam_ldap
Version:	180
Release:	1
Vendor:		Luke Howard <lukeh@padl.com>
License:	LGPL
Group:		Base
Source0:	http://www.padl.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	627f053fdffb8267ba73261394e0ecde
Patch0:		%{name}-install.patch
Patch1:		%{name}-chkuser.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-no-access-after-free.patch
URL:		http://www.padl.com/OSS/pam_ldap.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openldap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/lib

%description
This is pam_ldap, a pluggable authentication module that can be used
with linux-PAM. This module supports password changes, V2 clients,
Netscapes SSL, ypldapd, Netscape Directory Server password policies,
access authorization, crypted hashes, etc.

%description -l es
pam_ldap es un mdulo de autenticacin que puede conectarse y usarse
con Linux-PAM. Este mdulo acepta cambio de contraseas, clientes V2,
Netscape SSL, ypldapd, poltica de contraseas de Netscape Directory
Server, autorizacin de acceso, etc.

%description -l pl
To jest pam_ldap, wymienny modu uwierzytelniania, ktry moe by
uyty z linux-PAM. Modu ten wspiera zmienianie hase, klientw V2,
SSL firmy Netscape, ypldapd, polisy hase Netscape Directory Server,
autoryzacj dostpu, zakodowane skrty, itd.

%description -l pt_BR
pam_ldap  um mdulo de autenticao plugvel que pode ser usado com o
Linux-PAM. Esse mdulo aceita mudana de senhas, clientes V2, Netscape
SSL, ypldapd, poltica de senhas do Netscape Directory Server,
autorizao de acesso, etc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLUSER=`id -u` \
	INSTALLGROUP=`id -g`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog ldap.conf pam.d
%attr(755,root,root) %{_libdir}/security/pam_ldap.so
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam_ldap.spec,v $
Revision 1.61.2.6  2005/09/03 13:20:58  hawk
- updated to 180

Revision 1.61.2.5  2005/04/04 21:29:57  hawk
- updated to 178
- added man page to package

Revision 1.61.2.4  2004/12/29 22:40:04  hawk
- updated to 176

Revision 1.61.2.3  2003/10/06 00:23:23  pius
- cosmetics

Revision 1.61.2.2  2003/10/05 11:07:45  pius
- fixed Source0-md5

Revision 1.61.2.1  2003/10/05 11:06:45  pius
- updated to 165

Revision 1.61  2003/08/14 14:29:29  baggins
- release 2
- fixed a bug when freed data could be accessed leading to SIGSEGV

Revision 1.60  2003/06/05 10:03:25  misi3k
- updated to 164

Revision 1.59  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.58  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/05/17 23:49:02  qboosh
- updated to 161
- replaced no_libnsl by nolibs patch (remove libresolv too)

Revision 1.56  2003/01/16 21:34:44  kloczek
- updated to 157: bug fixes,
- added no_libnsl patch (posted to maintainer),
- upated URL and new Source url (http based),
- removed pam.conf from doc (this config file is for old PAM implemetation).

Revision 1.55  2002/11/09 10:16:03  kloczek
- updated to 156: bug fixes.

Revision 1.54  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/08/24 18:29:10  kloczek
- updated to 151: bugfixes,
- removed outdated amfix patch.

Revision 1.52  2002/08/06 10:14:06  kloczek
- updated to 150: bugfixes.

Revision 1.51  2002/05/21 23:14:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.50  2002/05/10 11:24:26  qboosh
- SECURITY update to 148; updated patches, added fix for am

Revision 1.49  2002/04/10 20:28:20  kloczek
- merge translations from Conectiva.

Revision 1.48  2002/04/10 20:26:07  kloczek
- updated to 1.40 (bugfixes),
- added -c -f to automake parameters and "rm -f missing" on top %build.

Revision 1.47  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/11/02 11:17:06  jajcus
- Version: 133

Revision 1.43  2001/09/14 06:08:17  kloczek
- updated to 126.

Revision 1.42  2001/09/06 19:56:01  kloczek
- updated to 125.

Revision 1.41  2001/07/23 05:46:01  kloczek
- updated to 121.

Revision 1.40  2001/07/04 04:37:35  kloczek
- updated to 119.

Revision 1.39  2001/06/01 19:47:59  kloczek
- updated to 112.

Revision 1.38  2001/05/18 02:09:27  siefca
- version 108

Revision 1.37  2001/04/22 00:18:26  kloczek
- cosmetics.

Revision 1.36  2001/04/21 15:22:56  siefca
- cosmetics

Revision 1.35  2001/04/21 15:21:04  siefca
- added notes to ldap.conf

Revision 1.34  2001/04/21 05:02:22  siefca
- added support for simple and fast auth method using user's DN and password
- additional options in /etc/ldap.conf [example]:
   userconnect_check yes                    (to enable support)
   userdn cn=A_USER,ou=unit,o=org           (A_USER macro expanded to username)
- special thx to Michal Strzelczyk - for code, pepsi and fajki R1 :)

Revision 1.33  2001/04/20 20:29:46  kloczek
- updated to 107,
- added regenerate all ac files (added "aclocal; autoconf" in %build).

Revision 1.32  2001/01/09 10:49:02  wiget
94

Revision 1.31  2001/01/08 13:58:43  wiget
93

Revision 1.30  2001/01/05 04:43:29  kloczek
- updated to 86.

Revision 1.29  2001/01/03 16:29:53  wiget
84

Revision 1.28  2000/12/31 01:06:31  kloczek
- updated to 83.

Revision 1.27  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.26  2000/11/13 18:38:11  wiget
82

Revision 1.25  2000/10/16 11:41:08  wiget
77

Revision 1.24  2000/10/02 16:52:19  wiget
74

Revision 1.23  2000/09/18 07:52:43  kloczek
- updated to 72.

Revision 1.22  2000/09/12 14:00:24  jajcus
- Release: 2 (for rebuild with OpenLDAP 2.x.x)

Revision 1.21  2000/08/20 15:55:27  kloczek
- updated to 70.

Revision 1.20  2000/08/07 19:20:40  wiget
67

Revision 1.19  2000/07/11 19:38:30  wiget
- 66
- enable NDS support

Revision 1.18  2000/07/05 10:33:43  wiget
65

Revision 1.17  2000/06/30 09:35:15  wiget
64

Revision 1.16  2000/06/26 16:27:02  wiget
63

Revision 1.15  2000/06/20 16:42:09  wiget
61

Revision 1.14  2000/06/12 12:59:20  wiget
60

Revision 1.13  2000/06/09 13:15:53  wiget
59

Revision 1.12  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/02 15:06:10  wiget
- version 56
- new fixes for installation procedure

Revision 1.10  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.7  2000/02/16 23:48:29  kloczek
- updated to 46.

Revision 1.6  1999/12/01 07:19:44  kloczek
- updated to 42.

Revision 1.5  1999/09/17 12:33:47  kloczek
- added pl Summary and Group,
- cosmetisc in header.

Revision 1.4  1999/09/11 15:00:21  jajcus
- BuildRequires: openldap-devel

Revision 1.3  1999/09/10 12:25:03  jajcus
ldap.conf is now in openldap package

Revision 1.2  1999/09/10 10:48:44  jajcus
[ 40-1 ]
- rewrite for use with PLD
- Make.rules updates for PLD
- config files updates for PLD

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- adapted the original spec file for RH 6.1
- ship the same config file as the nss_ldap
